.TH IN.MFINGERD 8 "8th March 1997" "CSOC Utils" "Linux Programmer's Manual"
.SH NAME
in.mfingerd \- mulitple host finger daemon
.SH SYNOPSIS
.I in.mfingerd
.RB [ hostname ]
.SH DESCRIPTION
.B in.mfingerd
is a replacement for 
.B in.fingerd
which allows checking for users on multiple hosts, giving some of the
functionality of GNU finger, but without some of the promblems encountered
thereby.
.SH OPTIONS
.TP
.RB < hostname >
If a hostname is specified, then finger requests with a normal username
will be passed on to this host (useful on a machine which serves as a
firewall and is not accessible by all users.
.SH USERNAMES
.B in.mfingerd
supports various special usernames (similar to GNU finger), above and
beyond what a normal finger daemon does.
.TP
.RB < none >
This will give finger information about all users logged onto all client
machines.
.TP
.RB < username >
Displays finger information about the specified user on the current host in
exactly the same manner as a standard finger daemon.
.TP 
.B .clients
Returns a list of all the client machines which are checked when this host is
fingered, together with any nicknames which they have been given.
.TP
.B .free
Serves no real purpose \- just there because GNU finger has it ;\-)
.TP
.B .help
Displays a help message (normally listing information similar to that in this
section).
.TP 
.B .local
Returns the information which normal finger daemon would if not supplied with
a username.
.TP
.B .mfinger
Returns specially formatted finger information \- this is used by
.B in.mfingerd
to collect information from client machines.
.TP
.B .site
Displays information about the site.
.TP
.B .version
Simply returns the version of
.B in.mfingerd
in use.
.SH CONFIGURATION
By default,
.B in.mfingerd
keeps it's configuration files in
.IR /usr/local/etc ,
but you can easily change this by changing the aproporiate #define and
recompiling. The
.I mfingerd.help
and
.I mfingerd.site
files are simple text files which are displayed when the appropriate user name
is given. The
.I mfingerd.conf
file contains the banner which is displayed above the finger information when
checking all users, and the hostnames and possibly nicknames for all the
client machines which should be checked. The format of this file is detailed
in the comments in the file itself.
.SH FILES
.TP
.I /usr/local/etc/mfingerd.conf
Configuration file \- Header and list of hosts/names.
.TP
.I /usr/local/etc/mfingerd.help
Help information file to display.
.TP
.I /usr/local/etc/mfingerd.site
Site information file to display.
.TP
.I /tmp/mfingerd.*
Temporary files.
.SH SEE ALSO
.BR finger (1),
.BR in.fingerd (8)
.SH AUTHOR
.B in.mfingerd
v3.2 was written by Mark Rigby-Jones <mrj@ox.compsoc.org.uk>
